# Generated by Django 3.2.4 on 2021-07-17 12:45

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DeliveryOptions',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('delivery_name', models.CharField(help_text='Required', max_length=255, verbose_name='Delivery name')),
                ('delivery_price', models.DecimalField(decimal_places=2, error_messages={'name': {'max_length': 'The price must be betweeen 0 and 9999.99.'}}, help_text='Maximum 9999.99', max_digits=6, verbose_name='Delivery price')),
                ('delivery_method', models.CharField(choices=[('IS', 'In Store'), ('HD', 'Home Delivery'), ('DD', 'Digital Delivery')], help_text='Required', max_length=255, verbose_name='Delivery method')),
                ('delivery_timeframe', models.CharField(help_text='Required', max_length=255, verbose_name='Delivery timeframe')),
                ('delivery_window', models.CharField(help_text='Required', max_length=255, verbose_name='Delivery window')),
                ('order', models.IntegerField(default=0, help_text='Required', verbose_name='List order')),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Delivery Option',
                'verbose_name_plural': 'Delivery Options',
            },
        ),
        migrations.CreateModel(
            name='PaymentSelections',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Required', max_length=255, verbose_name='Payment name')),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Payment selection',
                'verbose_name_plural': 'Payment selections',
            },
        ),
    ]
